Bug 1545314 - [RFE] Add remote execution async_ssh option to installer
Summary: [RFE] Add remote execution async_ssh option to installer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.4.0
Assignee: Chris Roberts
QA Contact: Peter Ondrejka
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-14 15:48 UTC by jcallaha
Modified: 2019-11-05 23:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:30:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:31:57 UTC
Foreman Issue Tracker 22862 None None None 2018-03-12 16:49:38 UTC

Description jcallaha 2018-02-14 15:48:47 UTC
Description of problem:
As part of the fix for [1], users can now add `:async_ssh: true` in /etc/smart_proxy_dynflow_core/settings.d/remote_execution_ssh.yml to make all remote execution jobs run asynchronously.
Users shouldn't have to manually enter this option and restart satellite to use it. At the least, an option should be added to the installer to enable/disable this feature.

https://bugzilla.redhat.com/show_bug.cgi?id=1386270

Version-Release number of selected component (if applicable):
6.3 Snap 35

How reproducible:
N/A

Steps to Reproduce:
1. Check to see if the option was added to the installer
2. Verify that the change was made to the config file listed above.
3. (Optional) follow the verification steps in https://bugzilla.redhat.com/show_bug.cgi?id=1386270#c16

Actual results:
N/A

Expected results:
The installer has an option to enable/disable this setting.

Comment 7 errata-xmlrpc 2018-10-16 15:30:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.